Bug 1464540 - rhn-satellite-exporter creates incomplete directory names
rhn-satellite-exporter creates incomplete directory names
Status: VERIFIED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
570
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Dobes
Radovan Drazny
:
Depends On:
Blocks: sat58-errata
  Show dependency treegraph
 
Reported: 2017-06-23 13:37 EDT by Ricardo Santamaria
Modified: 2017-09-12 09:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.5.3-152-sat
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Dobes 2017-06-26 05:40:22 EDT
I can reproduce this on spacewalk master, directories have incorrect names only inside ISO, in working directory they seem correct.
Comment 2 Jan Dobes 2017-08-21 07:03:32 EDT
fixed in spacewalk.git(master):

4e0b275421a2e674c297f94a3b59d30505f8b9da
Comment 5 Radovan Drazny 2017-09-12 09:35:56 EDT
Reproduced on spacewalk-backend-2.5.3-151.el6sat using the reproducer from the initial report. The bug is triggered only if doing an export to the current directory using "-d ." option. Both following exports are done on spacewalk-backend-2.5.3-151.el6sat.

$ rhn-satellite-exporter  --channel=rhel-x86_64-server-6 --start-date=20161101 --end-date=20161201 -d preupdate --make-isos=dvd
<...>
$ mount -o loop preupdate/satellite-isos/rhn-export-20161101000000-20161201000000.0-01.iso /mnt/iso/
$ ls -R /mnt/iso 
/mnt/iso:
arches  blacklists  channel_families  channels  DISK_1_OF_1  product_names

/mnt/iso/arches:
arches-extra.xml.gz  arches.xml.gz

/mnt/iso/blacklists:
blacklists.xml.gz

/mnt/iso/channel_families:
channel_families.xml.gz

/mnt/iso/channels:
rhel-x86_64-server-6

/mnt/iso/channels/rhel-x86_64-server-6:
channel.xml.gz  comps.xml.gz

/mnt/iso/product_names:
product_names.xml.gz

$ cd preupdate
$ umount /mnt/iso
$ rm -rf *
$ rhn-satellite-exporter  --channel=rhel-x86_64-server-6 --start-date=20161101 --end-date=20161201 -d . --make-isos=dvd
<...>
$ mount -o loop satellite-isos/rhn-export-20161101000000-20161201000000.0-01.iso /mnt/iso/
$ ls -R /mnt/iso/
/mnt/iso/:
acklists  annel_families  annels  ches  DISK_1_OF_1  oduct_names

/mnt/iso/acklists:
blacklists.xml.gz

/mnt/iso/annel_families:
channel_families.xml.gz

/mnt/iso/annels:
rhel-x86_64-server-6

/mnt/iso/annels/rhel-x86_64-server-6:
channel.xml.gz  comps.xml.gz

/mnt/iso/ches:
arches-extra.xml.gz  arches.xml.gz

/mnt/iso/oduct_names:
product_names.xml.gz

Directory names on the final iso for the export created with "-d preupdate" are ok. 
Directory names on the final iso for the export created with "-d ." are truncated.
Tested "-d /root/satexporter/preupdate/" (absolute path) as well - directory names are ok there.

Updated to spacewalk-backend-2.5.3-152.el6sat and ran all the exports again. This time directory names for every type of export (current dir, relative dir, absolute path) were correct and not truncated. 

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.